LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

entity all_mine is
	port(
		clk : IN  std_logic;
		a   : IN  std_logic;
		b   : OUT std_logic;
		c   : OUT std_logic
	);
end all_mine;

architecture structure of all_mine is

signal a_latched : std_logic;

begin

	b <= a_latched;
	c <= a xor a_latched;
	
	latch_a : process (clk)
	begin
		if rising_edge(clk) then
			a_latched <= a;
		end if;
	end process;

end structure;		